% testproj2.m   origine : testproj1.m 
% fe 06 juillet 2026 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear ; format long 

fprintf  ('\n')  
fprintf  ('testproj2 \n')  
fprintf  ('test du projecteur "proj2" sur un quadrant du plan \n') 
fprintf  ('\n')  

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

fprintf  ('quadrant x>=0 et y>=0    \n') ;


p=1 , q=1
xmin = -3 ; xmax = 3 ;
ymin = xmin ; ymax = xmax ;

hold off 			  
plot ([0,xmax],[0.,0.],'k;;' , [0.,0.],[0,ymax],'k'  )
axis ( [ -3.1, 3.1, -3.1, 3.1, ] , 'square' );
title ('droite affine x+y=1') ;
print('02a-projection-sur-le-quadrant-positif', '-djpg','-S891,630'); 
pause (.5) ; hold on 


x0 = 0. ; y0 = 0. ;
[xx,yy]=proj2(x0,y0) ;
plot ( x0,y0,'ob' , xx,yy,'*k', [x0,xx],[y0,yy],'r')
title ('projection de l origine') ;
print('02b-projection-sur-le-quadrant-positif', '-djpg','-S891,630'); 
pause (.5) ; hold on 


x0 = 1. ; y0 = -3. ;
[xx,yy]=proj2(x0,y0) ;
plot ( x0,y0,'ob' , xx,yy,'*k', [x0,xx],[y0,yy],'r')
title ('projection d un nouveau point du plan') ;
print('02c-projection-sur-le-quadrant-positif', '-djpg','-S891,630');  
pause (.5) ; hold on 


x0 = 1. ; y0 = 3. ;
[xx,yy]=proj2(x0,y0) ;
plot ( x0,y0,'ob' , xx,yy,'*k', [x0,xx],[y0,yy],'r')
title ('projection d un nouveau point du plan') ;
print('02d-projection-sur-le-quadrant-positif', '-djpg','-S891,630'); 
pause (.5) ; hold on 


x0 = -2. ; y0 = -3. ;
[xx,yy]=proj2(x0,y0) ;
plot ( x0,y0,'ob' , xx,yy,'*k', [x0,xx],[y0,yy],'r')
title ('projection d un nouveau point du plan') ;
print('02e-projection-sur-le-quadrant-positif', '-djpg','-S891,630'); 
pause (.5) ; hold on 


x0 = -3. ; y0 = -1. ;
[xx,yy]=proj2(x0,y0) ;
plot ( x0,y0,'ob' , xx,yy,'*k', [x0,xx],[y0,yy],'r')
title ('projection d un nouveau point du plan') ;
print('02f-projection-sur-le-quadrant-positif', '-djpg','-S891,630'); 
pause (.5) ; hold on 


x0 = -3. ; y0 = 1. ;
[xx,yy]=proj2(x0,y0) ;
plot ( x0,y0,'ob' , xx,yy,'*k', [x0,xx],[y0,yy],'r')
title ('projection d un dernier point...') ;
print('02g-projection-sur-le-quadrant-positif', '-djpg','-S891,630'); 
pause(.5) ; hold off


hold off 			  
plot ([0,xmax],[0.,0.],'k;;' , [0.,0.],[0,ymax],'k'  )
axis ( [ -3.1, 3.1, -3.1, 3.1, ] , 'square' );
hold on

 
n=20 ; dx=6/n ; 

x=-3. ; y=-3. ; 
for j=1:n+1 ; 
 [xp,yp]=proj2(x,y);  plot  ([x,xp], [y,yp], 'r;;')
x=x+dx ;  end ; 

x=-3 ; y=-3 ; 
for j=1:n+1 ; 
 [xp,yp]=proj2(x,y);  plot  ([x,xp], [y,yp], 'r;;')
y=y+dx ;  end ; 
axis ( [ -3.1, 3.1, -3.1, 3.1, ] , 'square' );

title ('projection de toute une famille de points') ; 
print('02h-projection-sur-le-quadrant-positif', '-djpg','-S891,630'); 
hold off
